## python-lua 0.1

=== debian/changelog ===
python-lua (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #672344)

 -- Bas Wijnen <wijnen@debian.org>  Thu, 10 May 2012 10:34:16 +0200

## python-lua 0.2

=== debian/changelog ===
python-lua (0.2-1) unstable; urgency=low

  * New release with many fixes, especially regarding object ownership.

 -- Bas Wijnen <wijnen@debian.org>  Fri, 15 Jun 2012 20:01:27 +0200

## python-lua 0.6

=== Makefile ===
# Makefile for building constants file needed by module.
# Copyright 2012-2023 Bas Wijnen <wijnen@debian.org> {{{
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
# }}}

all: src/lua/luaconst.py

src/lua/luaconst.py: mkconst Makefile
	./$< > $@

mkconst: mkconst.c Makefile
	gcc -Wall -Werror -Wextra `pkg-config --cflags lua5.4` $< -o $@

clean:
	rm -f src/lua/luaconst.py mkconst

# vim: set foldmethod=marker :

## python-lua 0.3

=== debian/changelog ===
python-lua (0.3-1) unstable; urgency=low

  * New release with some fixes.
  * New upstream location.

 -- Bas Wijnen <wijnen@debian.org>  Fri, 31 Aug 2012 17:21:42 +0200

=== debian/control ===
Source: python-lua
Section: python
Priority: optional
Maintainer: Bas Wijnen <wijnen@debian.org>
Build-Depends: debhelper (>= 8), python, python-support, ruby-ronn
Standards-Version: 3.9.3

Package: python-lua
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, liblua5.1-0
Description: library for using lua scripts from python
 This library provides an interface for using lua scripts from python.
 It can call lua functions, pass any type of objects, including python
 functions, which can be called from lua.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	ronn -r python-lua.7.ronn

override_dh_auto_clean:
	dh_auto_clean
	rm -f python-lua.7

## python-lua 0.6

=== debian/changelog ===
python-lua (0.6-1) unstable; urgency=medium

  * Fail to import if liblua is not found.
  * Fix package build and add required build dependencies.
  * Use ctypes.c_longlong where lua_Integer is used.

 -- Bas Wijnen <wijnen@debian.org>  Tue, 21 Feb 2023 00:55:23 +0100

python-lua (0.5-1) unstable; urgency=medium

  * Differentiate between str and bytes and document this in the manual page.
  * Add package tests.

 -- Bas Wijnen <wijnen@debian.org>  Sun, 19 Feb 2023 12:56:47 +0100

python-lua (0.4-1) unstable; urgency=medium

  * Reupload to Debian. Closes: #1029942
  * New release.
  * Updated standards version to 4.6.2 (no changes needed).
  * Support (only) python3.
  * Update to Lua 5.4.
  * Update debhelper to compat level 10.
  * Store state in variable of correct type.

 -- Bas Wijnen <wijnen@debian.org>  Thu, 02 Feb 2023 19:47:43 +0100

=== debian/control ===
Source: python-lua
Section: python
Priority: optional
Maintainer: Bas Wijnen <wijnen@debian.org>
Build-Depends: debhelper (>= 10), python3-all, dh-python, python3-setuptools, pybuild-plugin-pyproject, liblua5.4-dev, pkg-config
Standards-Version: 4.6.2

Package: python3-lua
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, liblua5.4-dev
Description: library for using Lua scripts from Python
 This module provides an interface for using Lua scripts from Python.
 From Python, it allows complete access to all Lua variables and function. From
 Lua, it allows access to Python variables and functions that were passed to it
 by Python.
 .
 By default, Lua contains several insecure features, such as access to the
 host's file system. This module disables all such features by default. They
 are only enabled if the user passes the corresponding parameters when
 instantiating the Lua class.

## python-lua 1.0

=== Makefile ===
all:
	python3 setup.py build

test:
	cd build/lib* && python3 < ../../test.py

clean:
	rm -rf build/

=== debian/changelog ===
python-lua (1.0-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:00:12 +0000

python-lua (1.0-1) unstable; urgency=medium

  * New upstream release.
  * Convert code to C++.
  * Update standards version to 3.7.2. No changes needed.

 -- Bas Wijnen <wijnen@debian.org>  Tue, 10 Jun 2025 00:12:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Bas Wijnen <wijnen@debian.org>
-Build-Depends: debhelper (>= 10), python3-all, dh-python, python3-setuptools, pybuild-plugin-pyproject, liblua5.4-dev, pkg-config
+Build-Depends: debhelper (>= 10), python3-all, python3-all-dev, dh-python, python3-setuptools, pybuild-plugin-pyproject, liblua5.4-dev, pkgconf
 Standards-Version: 4.6.2
 
 Package: python3-lua
-Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, liblua5.4-dev
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, liblua5.4-dev
 Description: library for using Lua scripts from Python
  This module provides an interface for using Lua scripts from Python.
  From Python, it allows complete access to all Lua variables and function. From

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = lua

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	${MAKE}
	dh_auto_build

override_dh_auto_clean:
	${MAKE} clean
	dh_auto_clean
	rm -rf src/lua_wrapper.egg-info dist
